<div class="p-fluid background-overlay">

    <p-blockUI [blocked]="util.blockedUI" [baseZIndex]="5000000" [style]="{ height: '100vh' }">
        <div class="p-grid p-justify-center p-align-center"
             [style]="{ height: '100%' }">
            <div class="p-col-12 text-center">
                <p-progressSpinner [style]="{width: '5rem', height: '5rem'}"></p-progressSpinner>
            </div>
        </div>
    </p-blockUI>
    <p-confirmDialog [header]="'- '+lang.getConfirmDialogTitle()" icon="pi pi-exclamation-triangle"></p-confirmDialog>

    <div class="header-wrap">
        <div class="header-background-wrap">
            <div class="header-background"></div>
        </div>
        <div class="layout-header">
            <header id="header">
                <div class="p-grid p-justify-center">
                    <div class="p-col-11 p-lg-10 p-xl-9">
                        <div class="p-grid p-align-center p-justify-between">
                            <div class="p-col-12 p-xl-6 logo-wrap">
                                <div class="logo">
                                <span>
                                    <a [href]="bannerLink" target="_blank" accesskey="1"
                                       class="logo-name">{{forumName}}</a>
                                    <a class="logo-slogan">{{forumQuote}}</a>
                                </span>
                                </div>
                            </div>
                            <div #loginButton class="p-col-12 p-col-fixed user-panel"
                                 [style]="{ width: '16rem' }"
                                 (click)="onLoginPanel(loginOverlayPanel, loginButton)">
                                <div class="p-grid p-nogutter p-align-center" *ngIf="!user.id">
                                    <div class="p-col-10 text-center user-panel-text">
                                        {{lang.getExistingUser()}}
                                        <em class="pi pi-chevron-down"></em>
                                    </div>
                                    <div class="p-col-2 text-center user-panel-button">
                                        <em class="pi pi-sign-in"></em>
                                    </div>
                                </div>
                                <div class="p-grid p-nogutter p-align-center" *ngIf="user.id > 0"
                                     [pTooltip]="'Logout'" tooltipPosition="top">
                                    <div class="p-col-10 text-center user-panel-text">
                                        {{ user.name }}
                                    </div>
                                    <div class="p-col-2 text-center user-panel-button">
                                        <em class="pi pi-sign-out"></em>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </header>
            <div class="nav-bar">
                <div class="nav-bar-blur">
                    <div class="nav-bar-image"></div>
                </div>
                <div class="p-grid p-justify-center p-nogutter">
                    <div class="p-col-11 p-lg-10 p-xl-9">
                        <div class="p-grid p-nogutter p-align-center">
                            <div class="p-col-12 p-xl-9">
                                <p-menubar [baseZIndex]="1000" [model]="menuItems"></p-menubar>
                            </div>
                            <div class="p-col-12 p-xl-3 search-bar-menu">
                                <div class="p-inputgroup">
                                    <input pInputText id="search" placeholder="{{lang.getSearch()}}..."
                                           [style]="{'z-index': 1000}">
                                    <button pButton class="p-button-raised p-button-secondary"
                                            icon="pi pi-search"></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="content-wrap">
        <div class="p-fluid">
            <div class="p-grid p-align-center p-justify-center">
                <div class="p-col-11 p-sm-11 p-xl-9">

                    <div class="p-grid">

                        <div class="p-col-12 p-xl-10">
                            <p-breadcrumb [model]="breadcrumb"></p-breadcrumb>
                        </div>
                        <div class="p-col-12 p-xl-2">
                            <p-splitButton [model]="languages"
                                           [label]="lang.getName()"
                                           styleClass="p-button-raised p-button-secondary"
                            ></p-splitButton>
                        </div>

                        <div class="p-col-12">
                            <router-outlet></router-outlet>
                        </div>

                        <div class="p-col-12" *ngIf="showSubTopics">
                            <p-card>
                                <div class="p-grid">
                                    <div class="p-col-12 p-xl-3">
                                        <h5>{{ forumName }}</h5>
                                    </div>
                                    <div class="p-col-12 p-xl-3">
                                        <h5>{{ lang.getCategories() }}</h5>
                                    </div>
                                    <div class="p-col-12 p-xl-3">
                                        <h5>{{ lang.getForums() }}</h5>
                                    </div>
                                    <div class="p-col-12 p-xl-3">
                                        <h5>{{ lang.getTopics() }}</h5>
                                    </div>
                                </div>
                            </p-card>
                        </div>

                        <div class="p-col-12">
                            <p-breadcrumb [model]="breadcrumb"></p-breadcrumb>
                        </div>

                    </div>

                </div>
                <!-- site footer -->
                <div class="p-col-12 mt-2">
                    <div class="p-grid p-justify-center">
                        <div class="p-col-12 p-md-5 mt-2">
                            <div class="footer-name">
                                <p *ngFor="let item of footer">
                                    {{item}}
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <p-overlayPanel #loginOverlayPanel [style]="{width: '16rem'}">
        <form (ngSubmit)="login(loginOverlayPanel)">
            <div class="p-grid">
                <div class="p-col-12">
                    <h3 class="text-center">{{lang.getLogin()}}</h3>
                </div>
                <div class="p-col-12">
                    <label>{{lang.getUsername()}}:</label>
                    <input pInputText type="text" [(ngModel)]="user.userid"
                           [ngModelOptions]="{standalone: true}"
                           [placeholder]="lang.getUsername()+'...'">
                </div>
                <div class="p-col-12">
                    <label>{{lang.getPassword()}}:</label>
                    <input pPassword type="password" [(ngModel)]="user.password"
                           [feedback]="false" [ngModelOptions]="{standalone: true}"
                           [placeholder]="lang.getPassword()+'...'">
                </div>
                <div class="p-col-12">
                    <button pButton class="p-button-raised" type="submit"
                            [label]="lang.getLogin()"></button>
                </div>
            </div>
        </form>
    </p-overlayPanel>

</div>

